<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\KursUebersichtAndererVeranstalter\Detailsreiter\Info;

class InfoUseCase extends \Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Info\InfoUseCase
{
  public static function getToolId()
  {
    return \ToolsAPI::TOOL_KURSUEBERSICHT_ANDERER_VERANSTALTER_VA;
  }

  public static function getToolSectionId()
  {
    return 641;
  }

  public function hasAccess($pToolSectionId = null)
  {
    
    if (!parent::hasAccess()) {
      return false;
    }
    if (!$this->isRechtAllowed('640.1.2')) {
      return false;
    }

    return true;
  }

  protected function getMainReiterId()
  {
    return 640;
  }
}